Subject: dd with status=progress does not update its output when the main writing is finished

From: Sworddragon <[email-masked]>
Date: Fri, 29 Oct 2021 14:22:02 +0000

Originally found as additional minor bug in ticket #51345 (Knoppix 9.1 with
GNU Coreutils 8.32), I think it is a good idea to create a dedicated report
for it to avoid getting it lost.

When dd is being used with status=progress it appears to update the status
every second but does not do a final update when dd finished its main
writing task (e.g. when dd starts flushing via conv=fsync and it still
blocks for like over a minute) causing the output to be incorrect and
inconsistent across multiple tries.